.teacher-item {
    background: var(--color-box-base);
    border: 1px solid var(--color-line-in-white);
    border-radius: 0.8rem;
    margin-top: 2.4rem;
    overflow: hidden;
    color: var(--color-text-base);
}

.teacher-item header div {
    margin-left: 2.4rem;
}

.teacher-item header div strong {
    font: 700 2.4rem Archivo;
    display: block;
    color: var(--color-text-title);
}

.teacher-item header div span {
    font-size: 1.6rem;
    display: block;
    margin-top: 0.4rem;
}

.teacher-item > p {
    padding: 0 2rem;
    font-size: 1.6rem;
    line-height: 2.8rem;
}

.teacher-item footer {
    padding: 3.2rem 2rem;
    background: var(--color-box-footer);
    border-top: 1px solid var(--color-line-in-white);
    margin-top: 3.2rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.teacher-item footer p strong {
    color: var(--color-primary);
    font-size: 1.6rem;
    display: flex;
}

.teacher-item header img,
.teacher-item header .avatar-svg {
    width: 8rem;
    height: 8rem;
    border-radius: 50%;
}

.teacher-item header {
    padding: 3.2rem 2rem;
    display: flex;
    align-items: center;
}

.teacher-item footer a {
    width: 20rem;
    height: 5.6rem;
    background: var(--color-secondary);
    color: var(--color-button-text);
    border: 0;
    border-radius: 0.8rem;
    cursor: pointer;
    font: 700 1.4rem Archivo;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    transition: 0.2s;
}

.teacher-item footer a:hover {
    background: var(--color-secondary-dark);
}

.teacher-item .teacher-item-schedule {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 1fr auto auto;
    grid-column-gap: 2rem;
    padding: 0 2rem;
    justify-items: end;
    color: var(--color-text-base);
    border-radius: 0.8rem;
    background-color: var(--color-input-background);
    height: 4rem;
    align-items: center;
    margin: 1rem 2rem;
    font: 700 1rem Archivo;
    border: 1px solid var(--color-line-in-white);
}

.teacher-item .teacher-item-schedule-header {
    color: var(--color-text-complement);
    display: flex;
    justify-content: space-between;
    padding: 0 2rem;
    margin: 1rem 2rem;
}

.teacher-item-schedule-header span {
    font-size: 1rem;
}

.teacher-item .teacher-item-week_day {
    justify-self: start;
}

@media(min-width: 700px){

    .teacher-item header,
    .teacher-item footer {
        padding: 3.2rem;
    }

    .teacher-item > p {
        padding: 0 3.2rem;
    }

    .teacher-item footer p strong {
        display: initial;
        margin-left: 1.6rem;
    }

    .teacher-item footer a {
        width: 24.5rem;
        font-size: 1.6rem;
        justify-content: center;
    }

    .teacher-item footer a img {
        margin-right: 1.6rem;
    }

    .teacher-item .teacher-item-schedule {
        display: block;
        margin: 1rem;
        padding: 2rem;
        height: 114px;
        width: 114px;
        text-align: center;
    }
    
    .teacher-item .teacher-item-schedule span {
        font: 700 1.6rem Archivo;
    }

    .teacher-item .teacher-item-schedule-content {
        display: flex;
        padding: 0 3.2rem;
        overflow-x: scroll;
    }

    .teacher-item .teacher-item-schedule-header {
        display: none;
    }
}